Update to .NET SDK 8.0.115 and Runtime 8.0.15

Also retry builds on failure

Resolves: RHEL-85275
This commit is contained in:
Omair Majid 2025-04-09 15:08:51 -04:00
parent 537be01831
commit 32f26dcd12
4 changed files with 54 additions and 13 deletions

2
.gitignore vendored
View File

@ -46,3 +46,5 @@
/dotnet-8.0.13.tar.gz.sig
/dotnet-8.0.14.tar.gz
/dotnet-8.0.14.tar.gz.sig
/dotnet-8.0.15.tar.gz
/dotnet-8.0.15.tar.gz.sig

View File

@ -12,10 +12,10 @@
# dotnet-host and netstandard-targeting-pack-2.1
%global is_latest_dotnet 0
%global host_version 8.0.14
%global runtime_version 8.0.14
%global host_version 8.0.15
%global runtime_version 8.0.15
%global aspnetcore_runtime_version %{runtime_version}
%global sdk_version 8.0.114
%global sdk_version 8.0.115
%global sdk_feature_band_version %(echo %{sdk_version} | cut -d '-' -f 1 | sed -e 's|[[:digit:]][[:digit:]]$|00|')
%global templates_version %{runtime_version}
#%%global templates_version %%(echo %%{runtime_version} | awk 'BEGIN { FS="."; OFS="." } {print $1, $2, $3+1 }')
@ -544,7 +544,36 @@ export EXTRA_LDFLAGS="$LDFLAGS"
# suggested compile-time change doesn't work, unfortunately.
export COMPlus_LTTng=0
VERBOSE=1 ./build.sh \
%ifarch ppc64le s390x
max_attempts=3
%else
max_attempts=1
%endif
function retry_until_success {
local exit_code=1
local tries=$1
shift
set +e
while [[ $exit_code != 0 ]] && [[ $tries != 0 ]]; do
(( tries = tries - 1 ))
"$@"
exit_code=$?
done
set -e
return $exit_code
}
cat >dotnet-rpm-build.sh <<EOF
#!/bin/bash
set -euo pipefail
set -x
find -depth -name 'artifacts' -type d -print -exec rm -rf {} \;
./build.sh \
%if %{without bootstrap}
--with-sdk previously-built-dotnet \
%endif
@ -556,8 +585,14 @@ VERBOSE=1 ./build.sh \
/p:MinimalConsoleLogOutput=false \
/p:ContinueOnPrebuiltBaselineError=true \
/v:n \
/p:LogVerbosity=n \
/p:LogVerbosity=n
EOF
chmod +x dotnet-rpm-build.sh
VERBOSE=1 retry_until_success $max_attempts \
timeout 5h \
./dotnet-rpm-build.sh
sed -e 's|[@]LIBDIR[@]|%{_libdir}|g' %{SOURCE21} > dotnet.sh
@ -745,6 +780,10 @@ export COMPlus_LTTng=0
%changelog
* Wed Apr 09 2025 Omair Majid <omajid@redhat.com> - 8.0.115-2
- Update to .NET SDK 8.0.115 and Runtime 8.0.15
- Resolves: RHEL-85275
* Tue Mar 11 2025 Omair Majid <omajid@redhat.com> - 8.0.114-2
- Update to .NET SDK 8.0.114 and Runtime 8.0.14
- Resolves: RHEL-81643

View File

@ -1,10 +1,10 @@
{
"release": "8.0.14",
"release": "8.0.15",
"channel": "8.0",
"tag": "v8.0.14",
"sdkVersion": "8.0.114",
"runtimeVersion": "8.0.14",
"aspNetCoreVersion": "8.0.14",
"tag": "v8.0.15",
"sdkVersion": "8.0.115",
"runtimeVersion": "8.0.15",
"aspNetCoreVersion": "8.0.15",
"sourceRepository": "https://github.com/dotnet/dotnet",
"sourceVersion": "b5416edd25debe775619037d6348bb672fb5da54"
"sourceVersion": "4d246579080efa41c77ddfa9ec8e133d7cf52666"
}

View File

@ -1,2 +1,2 @@
SHA512 (dotnet-8.0.14.tar.gz) = 281b97ffbb29a1f2cc6129ade17019257cc80a9ce62d2044ee19f2f80d1616578f1d82815a0e0ce8a7f7f8becd641785dfa6ae60de03dd41a764b24a9306f3e3
SHA512 (dotnet-8.0.14.tar.gz.sig) = ad983f811403b18ae37a3a4bbb70fc94c5556b27372f8fcdeb4ac46f213c7780e9b5b2ac7c8b428f11ec6df5de056afc565d08fdb3d7b97d70f5c9defde091a1
SHA512 (dotnet-8.0.15.tar.gz) = 8f4888d7b8433c30d01e22a15289626464c92817259cf914d60c589f15f3a680ae4b19f512ec552e05caa132774aed0b8f17e91a8442be74eabf5e161b145584
SHA512 (dotnet-8.0.15.tar.gz.sig) = 21e08ef5fdc2aa265c178558c992c36810407d5c4349a291694a69e0167f53976879379492aeaec718644a6bf6cffef6026a1a72fd765f15f1ba0eb5b0c47b44